Sketchup::require("curic_sp_display/main")

module CURIC
	class << self
    attr_accessor :tools_command
  end
	@tools_command ||= UI.menu("Tools").add_submenu('Curic')
	
	module SectionPlane
	
		file = __FILE__
		unless file_loaded? file
			submenu = CURIC.tools_command.add_submenu("SectionPlane Display")
			
			tb = UI::Toolbar.new( 'Curic SectionPlane Display' )
			path_to_resources = File.join(File.dirname(__FILE__), 'Resources')
			
			cmd_toggle_sp = UI::Command.new("Toggle Section Plane"){ Display.show_section_planes() }
			cmd_toggle_sp.small_icon = File.join(path_to_resources,"toggle.png")
			cmd_toggle_sp.large_icon = File.join(path_to_resources,"toggle.png")
			cmd_toggle_sp.tooltip = "Toggle section planes"
			cmd_toggle_sp.status_bar_text = "Toggle section planes on and off in the current direction"

			cmd_up_sp = UI::Command.new("Active cut next"){ Display.cut_next() }
			cmd_up_sp.small_icon = File.join(path_to_resources,"next.png")
			cmd_up_sp.large_icon = File.join(path_to_resources,"next.png")
			cmd_up_sp.tooltip = "Active cut next"
			cmd_up_sp.status_bar_text  = "Active cut the next section plane in the current direction" 

			cmd_down_sp = UI::Command.new("Active cut previous"){ Display.cut_previous() }
			cmd_down_sp.small_icon = File.join(path_to_resources,"previous.png")
			cmd_down_sp.large_icon = File.join(path_to_resources,"previous.png")
			cmd_down_sp.tooltip = "Active cut previous"
			cmd_down_sp.status_bar_text  = "Active cut the previous section plane in the current direction" 

			tb.add_item(cmd_toggle_sp)
			tb.add_item(cmd_up_sp)
			tb.add_item(cmd_down_sp)
			
			submenu.add_item cmd_toggle_sp
			submenu.add_item cmd_up_sp
			submenu.add_item cmd_down_sp
			
			UI.start_timer(0.1, false){ tb.restore }

			file_loaded file
		end
		
  end # module View
end # module CURIC